
QGIS Application - Bug report #842

Digitizing tools are active even though editing mode was not enabled

2007-11-30 04:07 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10901

Description

1. add some polygon shapefile

2. most digitising tools become active

They should not be, until I press 'Toggle editing'.

Now add a GRASS polygon vector map. When you select it in the legend, most digitizing tools are deactivated, but 'Add ring' and 'Add

island' still are active. Strange, undesired and puzzling.

History

#1 - 2007-12-01 09:48 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:964b3a99 (SVN r7703)

#2 - 2007-12-05 07:15 AM - Jürgen Fischer

after commit:964b3a99 (SVN r7703) you had to toggle editing, change to an other layer and back to get the tools enabled.  commit:481dd119 (SVN r7716)

fixed that.

#3 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
